%define major 0
%define libname %mklibname %{name} %major
%define develname %mklibname %{name} -d

Summary:	xcb-util's xcb-cursor
Name:		xcb-util-cursor
Version:	0.1.5
Release:	%mkrel 1
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
License:	MIT
Group:		System/X11
BuildRequires: %{_lib}xcb-util-image-devel
BuildRequires: %{_lib}xcb-util-renderutil-devel
BuildRequires: libxcb-devel
BuildRequires: x11-util-macros
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is the libXcursor port to XCB.

%package -n %{libname}
Summary: xcb-util-cursor library package
Group: System/X11

%description -n %{libname}
This is the libXcursor port to XCB.

%package -n %{develname}
Summary: xcb-util-cursor development files
Group: Development/Libraries
Provides:  libxcb-util-cursor-devel = %{version}-%{release}
Provides:  xcb-util-cursor-devel = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}

%description -n %{develname}
This pakcage includes the development files required to build software against
%{name}.

%package doc
Summary: Documentation for %{name}
Group: Documentation
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxcb-cursor.so.%{major}*


%files -n %{develname}
%{_includedir}/xcb/*.h
%{_libdir}/libxcb-cursor.so
%{_libdir}/pkgconfig/xcb-cursor.pc

%files doc
%doc ChangeLog NEWS

%clean
rm -rf %{buildroot}


%changelog
* Fri Oct 20 2023 tex - 0.1.5-1pclos2023
- new version

* Wed Aug 02 2023 tex - 0.1.4-3pclos2023
- rebuild against updates

* Wed Aug 02 2023 tex - 0.1.4-2pclos2023
- rebuild against updates
